/* (c) 2009 Markus Becker
 * Library fuer tog.c
 * --> Includes
 * --> Funktionsprototypen
 */

// Libraries:
#include <avr/io.h>
#include <avr/interrupt.h>
#include "config.h"


// Global:
volatile ushort cnt;	// Timer vor / nachladen
volatile ubyte t_heiz;	// Heizzeit
volatile ubyte t_temp;	// Temp.zeit
volatile ubyte t_tmp; 	// Temporaere Zeit
volatile ushort t_cool;	// Kuehlzeit


extern ushort set_timer (ushort);	

extern void init (void);

extern void long_delay (ubyte);

extern void high_out (ubyte);

extern void low_out (ubyte);

extern void startup (void);

extern ubyte schalter (ubyte);

extern ushort adc (ubyte);

extern ushort calc_time (ushort, ushort, ushort);

extern void adapt_times (void);
